# -*- coding: utf-8 -*-
from setuphelpers import *
import time

uninstallkey = []

# Defining variables
task_name = 'WAPTupgrade'
start_hour = 15       # Prefix with zero if needed
start_minute = 33    # Prefix with zero if needed


def install():
    # Creating the scheduled task
    if task_exists(task_name):
        delete_task(task_name)
    try:
        print('Creating the task: %s' % task_name)
        create_daily_task(task_name,'wapt-get','-S upgrade',start_hour=start_hour,start_minute=start_minute)
    except:
        print('Unable to create the task: %s' % task_name)

    # Removing the old scheduled task
    if task_exists('auto-wapt-upgrade'):
        try:
            delete_task('auto-wapt-upgrade')
        except:
            print('Unable to remove the task: auto-wapt-upgrade')


def uninstall():
    # Removing the scheduled task
    if task_exists(task_name):
        try:
            delete_task(task_name)
        except:
            print('Unable to remove the task: %s' % task_name)


def audit():
    if not task_exists(task_name):
        print("task %s don't exist, WAPT is installing package to fix that" % task_name)
        install()
        return "WARNING"
    if not enable_task(task_name):
        print("task %s is disable, WAPT is going to enable the task" % task_name)
        enable_task(task_name)
        return "WARNING"
    else:
        print("task %s exist and is active" % task_name)
        return "OK"


def update_package():
    # Initializing variables
    version = control.version.split('-')[0]

    # Incrementing version of the package
    control.version = '%s-%s'%(version,int(control.version.split('-')[-1])+1)
    control.save_control_to_wapt()
    print('Changing package version to: %s in WAPT\\control' % control.version)

